io.etcd.jetcd.watch

## Class WatchEvent

- java.lang.Object
- - io.etcd.jetcd.watch.WatchEvent

    public class WatchEvent
    extends Object

Watch event, return by watch, contain put, delete event.

### Nested Class Summary

Nested Classes
`static class` `WatchEvent.EventType`

### Constructor Summary

Constructors
Constructor and Description
`WatchEvent(KeyValue keyValue, KeyValue prevKV, WatchEvent.EventType eventType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WatchEvent.EventType` `getEventType()`
`KeyValue` `getKeyValue()`
`KeyValue` `getPrevKV()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WatchEvent

    public WatchEvent(KeyValue keyValue,
                      KeyValue prevKV,
                      WatchEvent.EventType eventType)

### Method Detail

#### getKeyValue

    public KeyValue getKeyValue()

#### getPrevKV

    public KeyValue getPrevKV()

#### getEventType

    public WatchEvent.EventType getEventType()